Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1327566 - (nikic/php-parser) Review Request: php-nikic-php-parser - A PHP parser written in PHP
Review Request: php-nikic-php-parser - A PHP parser written in PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-15 08:12 EDT by Remi Collet
Modified: 2016-06-05 02:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 13:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+


Attachments (Terms of Use)
fedora-review output (7.95 KB, text/plain)
2016-05-16 09:01 EDT, Johan Cwiklinski
no flags Details
fedora-review output (7.72 KB, text/plain)
2016-05-16 09:12 EDT, Johan Cwiklinski
no flags Details

  None (edit)
Description Remi Collet 2016-04-15 08:12:42 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/e11a865253846265a7e1ec38114223e70e2b7766/php/php-nikic-php-parser/php-nikic-php-parser.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-nikic-php-parser-2.0.1-1.remi.src.rpm
Description: 
This is a PHP 5.2 to PHP 7.0 parser written in PHP.
Its purpose is to simplify static code analysis and manipulation.

The php-PHPParser package provides the library version 1.x
and the  php-parse command.

Documentation: https://github.com/nikic/PHP-Parser/tree/master/doc

Autoloader: /usr/share/php/PhpParser2/autoload.php

Fedora Account System Username: remi
Comment 1 Remi Collet 2016-04-15 08:13:54 EDT
Not yet needed, so to prepare the future.

This package is designed to be installed beside php-PHPParser 1.x (perhaps we could consider which one should provide the command).
Comment 2 Remi Collet 2016-04-15 08:35:30 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13670266
Comment 3 Johan Cwiklinski 2016-05-16 06:52:52 EDT
The version in your changelog entry is wrong - 2.0.0 instead of 2.0.1 ;)
Comment 4 Johan Cwiklinski 2016-05-16 06:55:59 EDT
Also, a 2.1.0 version do exists; maybe you'll want to update the package?
Comment 5 Remi Collet 2016-05-16 07:31:41 EDT
> Also, a 2.1.0 version do exists; maybe you'll want to update the package?

Done some time ago (I forgot to update the review)

Spec: https://raw.githubusercontent.com/remicollet/remirepo/fb2e52e15a7b118425e4edc4da21e9bfae8f6b23/php/php-nikic-php-parser/php-nikic-php-parser.spec
Srpm: http://rpms.remirepo.net/SRPMS/php-nikic-php-parser-2.1.0-2.remi.src.rpm
Comment 6 Johan Cwiklinski 2016-05-16 09:01 EDT
Created attachment 1157912 [details]
fedora-review output
Comment 8 Johan Cwiklinski 2016-05-16 09:12 EDT
Created attachment 1157914 [details]
fedora-review output
Comment 9 Johan Cwiklinski 2016-05-16 09:15:04 EDT
Looks good to me; rpmlint output is just about spelling and can be ignored.

APPROVED
Comment 10 Remi Collet 2016-05-16 09:23:14 EDT
Thanks again for this one


New package request open on pkgdb.
Comment 11 Gwyn Ciesla 2016-05-17 10:25:01 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-nikic-php-parser
Comment 12 Fedora Update System 2016-05-18 02:05:12 EDT
php-nikic-php-parser-2.1.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a65157098
Comment 13 Fedora Update System 2016-05-18 02:05:19 EDT
php-nikic-php-parser-2.1.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b84b67858e
Comment 14 Fedora Update System 2016-05-18 02:05:24 EDT
php-nikic-php-parser-2.1.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a9e9d37282
Comment 15 Fedora Update System 2016-05-20 21:35:19 EDT
php-PHPParser-1.4.1-4.fc24, php-nikic-php-parser-2.1.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a65157098
Comment 16 Fedora Update System 2016-05-20 22:28:23 EDT
php-nikic-php-parser-2.1.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b84b67858e
Comment 17 Fedora Update System 2016-05-21 01:01:47 EDT
php-PHPParser-1.4.1-4.fc24 php-jeremeamia-superclosure-2.2.0-3.fc24 php-nikic-php-parser-2.1.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a65157098
Comment 18 Fedora Update System 2016-05-21 02:22:47 EDT
php-nikic-php-parser-2.1.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a9e9d37282
Comment 19 Fedora Update System 2016-05-21 23:56:43 EDT
php-PHPParser-1.4.1-4.fc24, php-jeremeamia-superclosure-2.2.0-3.fc24, php-nikic-php-parser-2.1.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a65157098
Comment 20 Fedora Update System 2016-05-26 13:33:18 EDT
php-PHPParser-1.4.1-4.fc24, php-jeremeamia-superclosure-2.2.0-3.fc24, php-nikic-php-parser-2.1.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-05-29 18:22:23 EDT
php-nikic-php-parser-2.1.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-06-05 02:48:52 EDT
php-nikic-php-parser-2.1.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.